package com.ruoyi.system.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.system.domain.FoodSpecsValue;

/**
 * 规格值 Service 接口
 *
 * @author ruoyi
 * @date 2026-07-15
 */
public interface IFoodSpecsValueService extends IService<FoodSpecsValue>
{
    /** 查询规格值 */
    public FoodSpecsValue selectFoodSpecsValueById(Long id);

    /** 查询规格值列表 */
    public List<FoodSpecsValue> selectFoodSpecsValueList(FoodSpecsValue foodSpecsValue);

    /** 新增规格值 */
    public int insertFoodSpecsValue(FoodSpecsValue foodSpecsValue);

    /** 修改规格值 */
    public int updateFoodSpecsValue(FoodSpecsValue foodSpecsValue);

    /** 批量删除规格值 */
    public int deleteFoodSpecsValueByIds(Long[] ids);

    /** 删除规格值 */
    public int deleteFoodSpecsValueById(Long id);
}
